Support » Plugin: The Events Calendar » Fatal Error when updating from 4.6.23 to 4.6.24

  • When updating I am getting the error below.

    Fatal error: Call to undefined function tribe_is_using_basic_gmaps_api() in /home/domain/public_html/wp-content/plugins/the-events-calendar/src/admin-views/tribe-options-display.php on line 128

    I am using my own google maps API so not sure if that is issue or a conflict with the fallback api.

Viewing 11 replies - 1 through 11 (of 11 total)
  • Same here. I get this error:

    Undefined option “api_google” called from:
    Array[4]

    file => “/home/polar/public_html/wp-content/plugins/trx_addons/api/the-events-calendar/the-events-calendar.php”

    line => 110

    function => “trx_addons_get_option”

    args => Array[1]

    0 => “api_google”

    Appears to be a conflict with recent update to The Events Calendar v4.6.24 and ThemeREX Addons v21.65.17. Entire site and dashboard are inaccessible with error message.

    • This reply was modified 9 months, 2 weeks ago by  gingalley.

    This appears to have broken half the internet. When searching for this error, rather than get pages showing how to fix it, I get pages displaying this error.

    I was able to get my site back up by doing the following.

    I SSH’d into the server and opened up /var/www/html/wp-content/plugins/trx_addons/api/the-events-calendar/the-events-calendar.php, then I changed line 73:

    before:
    $api_key = trx_addons_get_option('api_google');

    after:
    $api_key = false; //trx_addons_get_option('api_google');

    Reading this function, it looks like some sloppy code to me, but I would have to investigate more to understand fully. At the moment I don’t know where the trx_addons_get_option function is defined.

    I removed lines 106-118 from wp-content/plugins/trx_addons/api/the-events-calendar/the-events-calendar.php and the error went away and I am now able to access site and WordPress dashboard.

    @gingalley, that block defines the function trx_addons_tribe_events_importer_check_row. Why would you remove that?

    edit:
    Actually, looking again at your error message, you have a reference to trx_addons_get_option on line 110, which I don’t have. For me, this is on line 73. Perhaps the the-events-calendar.php file is dynamically generated, and therefore not the same for everyone.

    • This reply was modified 9 months, 2 weeks ago by  arrrchristian.
    • This reply was modified 9 months, 2 weeks ago by  arrrchristian.

    Is there a reason there hasn’t been a response from the plugin developer about a fix for this?

    Plugin Author Barry

    (@barryhughes-1)

    @kims126,

    Are you also using the “TRX Addons” plugin, or do you see this problem without that?

    The error you described in your opening post is not something we can replicate using our plugins alone so it does seem possible that there is a conflict of some kind, or else perhaps your plugin did not update successfully.

    Two solid initial steps:

    Hi Barry,

    I am not using the TRX addons. I have both the regular plugin and Pro version installed. I’ll try the troubleshooting steps.

    Plugin Author Barry

    (@barryhughes-1)

    OK – let us know how it goes.

    For all others who happen to be using the TRX addons, it sounds like your specific problems are distinct from that reported by @kims126. To that end (and in line with the forum guidelines), please do create a fresh topic of your own.

    Thank you!

    Hi. So I cloned the website over to a dev install so I could go about deactivating plugins and trying to figure out the issue. I deactivated all non-essential plugins and updated Events Calendar without issue. I reactivated all plugins and everything worked fine. I could NOT update Events Calendar Pro because of the single license issue.
    I then replicated the same on the live site and updated the base plugin without any issue. When I updated the Pro plugin I got the same Fatal Error

    Fatal error: Call to undefined function tribe_is_using_basic_gmaps_api() in /home/clientdomain/public_html/wp-content/plugins/events-calendar-pro/src/Tribe/Geo_Loc.php on line 126.

    With the live site I can’t really disable all plugins to troubleshoot since this is a client site and I can’t troubleshoot further on dev install since I only have one license.

    Any ideas?

    Thanks, it helps me greatly

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Fatal Error when updating from 4.6.23 to 4.6.24’ is closed to new replies.